﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CollaborativePlatformMain.DFEntity.MessageSubUtil
{
    /// <summary>
    /// 
    /// <para>文件名(File Name):     LegendEntity.cs</para>
    /// 
    /// <para>描述(Description):     图例库数据实体类</para>
    /// 
    /// <para>数据表(Tables):        nothing</para>
    /// 
    /// <para>作者(Author):          Ou Rui Song</para>
    /// 
    /// <para>日期(Create Date):     2024年4月29日15:56:25</para>
    /// 
    /// 修改记录(Revision History):
    ///     R1:
    ///         修改作者:
    ///         修改日期:
    ///         修改理由:
    /// 
    /// </summary>
    public class LegendEntity
    {
        /// <summary>
        /// 图例库数据
        /// </summary>
        /// <param name="name"></param>
        /// <param name="imagePath"></param>
        public LegendEntity(string name, string imagePath)
        {
            Name = name;
            ImagePath = imagePath;
        }


        /// <summary>
        /// 文件夹名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        public string ImagePath { get; set; }

    }
}
