﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CollaborativePlatformMain.DFEntity.MessageSubUtil
{
    /// <summary>
    /// 
    /// <para>文件名(File Name):     MessageData.cs</para>
    /// 
    /// <para>描述(Description):     消息数据</para>
    /// 
    /// <para>数据表(Tables):        nothing</para>
    /// 
    /// <para>作者(Author):          Ou Rui Song</para>
    /// 
    /// <para>日期(Create Date):     2024年4月20日17:04:39</para>
    /// 
    /// 修改记录(Revision History):
    ///     R1:
    ///         修改作者:
    ///         修改日期:
    ///         修改理由:
    /// 
    /// </summary>
    public class MessageData
    {

        /// <summary>
        /// 二级菜单
        /// </summary>
        public string SeconNode { get; set; } = "";

        /// <summary>
        /// 三级菜单
        /// </summary>
        public List<string> ThreeNodes { get; set; } = new List<string>();

    }
}
